<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPOEditView9_EditModeBase from './empoedit-view9-edit-mode-base.vue';

import view_form from '@widgets/empo/main5-form/main5-form.vue';

/**
 * 采购订单
 *
 * @export
 * @class EMPOEditView9_EditMode
 * @extends {EMPOEditView9_EditModeBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPOEditView9_EditMode extends EMPOEditView9_EditModeBase { }
</script>